uk.gov.hmrc.gg.secure

# CookieFeatureToggles

###
Related Doc: package secure

#### trait CookieFeatureToggles extends FeatureToggles with FeatureOverride

Linear Supertypes
FeatureOverride, FeatureToggles, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CookieFeatureToggles
2. FeatureOverride
3. FeatureToggles
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def featureConfig: FeatureConfig

   Definition Classes
     FeatureOverride

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### lazy val OverrideCookieName: String

   Definition Classes
     FeatureOverride

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def cookieToHeader(implicit request: Request[_]): Seq[(String, String)]

   Definition Classes
     FeatureOverride

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def featureEnabled(feature: String)(implicit hc: HeaderCarrier, request: Request[_]): Boolean

    Attributes
      protected
    Definition Classes
      FeatureToggles

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def overrideCookie(implicit request: Request[_]): Option[Cookie]

    Definition Classes
      FeatureOverride

19. #### def readToggleFromRequest(feature: String)(implicit hc: HeaderCarrier, request: Request[_]): Boolean

    Attributes
      protected
    Definition Classes
      CookieFeatureToggles → FeatureToggles

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FeatureOverride

### Inherited from FeatureToggles

### Inherited from AnyRef

### Inherited from Any

### Ungrouped